.TH putchar() "" "" "STDIO Function (libc)"
.PC "Write a character onto the standard output"
.B "#include <stdio.h>"
\fBint putchar(\fIc\^\fB)\fR
\fBchar \fIc\^\fB;
.PP
.B putchar()
is a macro that expands to \fBputc(\fIc\fB, stdout)\fR.
It writes a character onto the standard output.
.SH Example
For an example of this routine, see the entry for
.BR getchar() .
.SH "See Also"
.Xr "fputc()," fputc
.Xr "libc," libc
.Xr "putc()" putc
.R
.br
\*(AS, \(sc7.9.7.9
.br
\*(PX Standard, \(sc8.1
.SH Diagnostics
.B putchar()
returns
.B EOF
when a write error occurs.
.SH Notes
Because
.B putchar()
is a macro, arguments with side effects may not work as expected.
